﻿
<script type="text/javascript" src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="https://cdn3.devexpress.com/jslib/21.1.6/js/dx.all.js"></script>
<script src="~/js/sweetalert.min.js"></script>
<script type="text/javascript">
    //$("#NgayDangKy").inputmask("d/m/y", {
    //    placeholder: "__/__/____"
    //});
</script>
<script type="text/javascript">


    $( document ).ready(function() {
        LoadDataTable();
    });
    function LoadDataTable() {
        $.ajax({
            type: "GET",
            url: '@Url.Action("GetAllPhieuDangKyRaVaoCongByTrangThaiDaDuyet", "PhieuDangKyRaVaoCong")',
            dataType: 'text',
            data: {ChoDuyet:true},
            success: function (data) {
                console.log(JSON.parse(data));
                $("#gridContainer").dxDataGrid({
                    dataSource: JSON.parse(data),
                    columns: [
                        {
                            dataField: "STT",
                            caption: "#",
                            width:50
                        },
                        {
                            dataField: "NgayDangKyTuNgay",
                            caption: "Từ ngày",
                            dataType: 'date',
                            format: 'dd/MM/yyyy'
                        },
                        {
                            dataField: "NgayDangKyDenNgay",
                            caption: "Đến ngày",
                            dataType: 'date',
                            format: 'dd/MM/yyyy'
                        },
                        {
                            dataField: "TenDonVi",
                            caption: "Đơn vị"
                        },
                        {
                            dataField: "TinhTrang",
                            caption: "Tình trạng",
                            cellTemplate: function (container, options) {
                                if (options.value == "MoiTao") {
                                    $("<span class='btn-secondary btn-sm'>").append("Mới tạo").appendTo(container);
                                } else if (options.value == "ChoYTeDuyet"){
                                    $("<span class='btn-primary btn-sm'>").append("Chờ y tế duyệt").appendTo(container);
                                }else if (options.value == "ChoPhuTrachDuyet"){
                                    $("<span class='btn-primary btn-sm'>").append("Chờ phụ trách duyệt").appendTo(container);
                                }else if (options.value == "DaDuyet"){
                                    $("<span class='btn-success btn-sm'>").append("Đã duyệt").appendTo(container);
                                }
                            }
                        },
                        {
                            dataField: "GhiChu",
                            caption: "Ghi chú",
                        },
                        {
                            dataField: "",
                            caption: "Hành động",
                            cellTemplate: function (container, options) {
                                $("<a class='btn btn-primary btn-sm' target='' href='@Url.Action("ChiTietPhieuChoDuyet", "PhieuDangKyRaVaoCong")?idPhieu="+options.data.Id+"'>").append("<i class='fa fa-edit'></i>Xem phiếu").appendTo(container);


                            }
                        }
                    ],
                    showBorders: true,
                    searchPanel: {
                        visible: true,
                        highlightCaseSensitive: true
                    },
                    headerFilter: {
                        visible: true
                    },
                    loadPanel: {
                        enabled: false
                    },
                    scrolling: {
                        useNative: true,
                        scrollByContent: true,
                        scrollByThumb: true,
                        showScrollbar: "always" // or "onScroll" | "always" | "never"
                    }
                });

            },
            error: function (e) {
                swal({
                    title: "Lỗi cập nhật",
                    text: data,
                    type: 'error',
                    showCancelButtonClass: 'OK'
                });
            }
        });

        //LoadChart(dataSource);
    }

</script>